Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/ComputeExpII.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/ComputeExpII.java	(revision 0)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/ComputeExpII.java	(revision 673)
@@ -0,0 +1,136 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.rcp.commands.function;
+
+import java.io.File;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Status;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.widgets.DirectoryDialog;
+import org.eclipse.swt.widgets.FileDialog;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.functions.cql2lsa.ExpII;
+import org.txm.rcp.JobsTimer;
+import org.txm.rcp.swt.dialog.LastOpened;
+import org.txm.rcp.utils.JobHandler;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.utils.logger.Log;
+
+/**
+ * write result in file
+ * @author mdecorde.
+ */
+public class ComputeExpII extends AbstractHandler {
+
+	/** The ID. */
+	public static String ID = "org.txm.rcp.commands.function.ComputeQueryIndex"; //$NON-NLS-1$
+
+	/** The selection. */
+	private IStructuredSelection selection;
+	
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		Log.info("Compute ExpIIA");
+		selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+
+		Object s = selection.getFirstElement();
+		if (!(s instanceof Corpus)) return null;
+		
+		final Corpus corpus = (Corpus) s;
+		System.out.println("Select lemma queries property file");
+		final File queriesFiles = getPropFile(event);
+		if (queriesFiles == null) return Status.CANCEL_STATUS;
+		System.out.println("Select keyword queries property file");
+		final File keywordFiles = getPropFile(event);
+		if (keywordFiles == null) return Status.CANCEL_STATUS;
+		final File resultDirectory = new File(System.getProperty("user.home"));
+		
+		JobHandler jobhandler = new JobHandler("Compute ExpII") {
+			@Override
+			protected IStatus run(IProgressMonitor monitor) {
+				JobsTimer.start();
+				try {
+					this.runInit(monitor);
+					
+					ExpII result = new ExpII(corpus);
+					result.setCurrentMonitor(this);	
+					result.compute(queriesFiles, keywordFiles, resultDirectory);
+				} catch(Exception e) {
+					Log.printStackTrace(e);
+					return Status.CANCEL_STATUS;
+				}
+				JobsTimer.stopAndPrint();
+				return Status.OK_STATUS;
+			}
+		};
+		jobhandler.schedule();
+		
+		return null;
+	}
+	
+	private File getResultDirectory(ExecutionEvent event) {
+		File dir = null;
+		if (LastOpened.getFile(ID) != null)
+			dir = new File(LastOpened.getFolder(ID));
+
+		DirectoryDialog dialog = new DirectoryDialog(HandlerUtil.getActiveShell(event), SWT.OPEN);
+		if (dir != null) {
+			dialog.setFilterPath(dir.getParent());
+		}
+		String path = dialog.open();
+		if (path == null) return null;
+		return new File(path);
+	}
+
+	public static File getPropFile(ExecutionEvent event) {
+		File propFile = null;
+		if (LastOpened.getFile(ID) != null)
+			propFile = new File(LastOpened.getFolder(ID));
+
+		FileDialog dialog = new FileDialog(HandlerUtil.getActiveShell(event), SWT.OPEN);
+		
+		String[] exts = { "*.properties" }; //$NON-NLS
+		dialog.setFilterExtensions(exts);
+		if (propFile != null) {
+			dialog.setFilterPath(propFile.getParent());
+			dialog.setFileName(propFile.getName());
+		}
+		String path = dialog.open();
+		if (path == null) return null;
+		return new File(path);
+	}
+}

Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/CreateContextSubcorpus.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/CreateContextSubcorpus.java	(revision 0)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/rcp/commands/function/CreateContextSubcorpus.java	(revision 673)
@@ -0,0 +1,148 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.rcp.commands.function;
+
+import java.io.File;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Status;
+import org.eclipse.jface.dialogs.Dialog;
+import org.eclipse.jface.dialogs.IInputValidator;
+import org.eclipse.jface.dialogs.InputDialog;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.widgets.FileDialog;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.functions.cql2lsa.ContextSubcorpus;
+import org.txm.functions.cql2lsa.ExpII;
+import org.txm.rcp.JobsTimer;
+import org.txm.rcp.commands.RestartTXM;
+import org.txm.rcp.swt.dialog.LastOpened;
+import org.txm.rcp.utils.JobHandler;
+import org.txm.rcp.views.corpora.CorporaView;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.Subcorpus;
+import org.txm.utils.logger.Log;
+
+/**
+ * write result in file
+ * @author mdecorde.
+ */
+public class CreateContextSubcorpus extends AbstractHandler {
+
+	/** The ID. */
+	public static String ID = "org.txm.rcp.commands.function.ComputeQueryIndex"; //$NON-NLS-1$
+
+	/** The selection. */
+	private IStructuredSelection selection;
+	
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		Log.info("Compute QueryIndex: start");
+		selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+
+		Object s = selection.getFirstElement();
+		if (!(s instanceof Corpus)) return null;
+
+	
+		final Corpus corpus = (Corpus) s;
+		IInputValidator validator = new IInputValidator() {
+			@Override
+			public String isValid(String newText) {
+				try {
+					Integer.parseInt(newText);
+				} catch (Exception e) {
+					return "Input string is malformed: '"+newText+"'";
+				}
+				return null;
+			}
+		};
+
+		
+		final File keywordFile = getPropFile(event);
+		if (keywordFile == null) return null;
+		
+		InputDialog dialog = new InputDialog(HandlerUtil.getActiveShell(event), "Context size", "Enter the context size", "10", validator);
+		if (dialog.open() == Dialog.CANCEL) return null;
+		final int size = Math.max(Integer.parseInt(dialog.getValue()), 1);
+		
+		JobHandler jobhandler = new JobHandler("Compute ExpIIA") {
+			@Override
+			protected IStatus run(IProgressMonitor monitor) {
+				JobsTimer.start();
+				try {
+					final ContextSubcorpus sub = new ContextSubcorpus(corpus, keywordFile, size);
+					sub.setCurrentMonitor(this);
+					sub.compute(this);
+					Subcorpus subcorpus = sub.getSubcorpus();
+					if (subcorpus != null) {
+						syncExec(new Runnable() {
+							@Override
+							public void run() {
+								CorporaView.refresh();
+								CorporaView.expand(corpus);
+							}
+						});
+					}
+				} catch (Exception e) {
+					e.printStackTrace();
+				}
+				JobsTimer.stopAndPrint();
+				return Status.OK_STATUS;
+			}
+		};
+		jobhandler.schedule();
+		
+		return null;
+	}
+	
+	public static File getPropFile(ExecutionEvent event) {
+		File propFile = null;
+		if (LastOpened.getFile(ID) != null)
+			propFile = new File(LastOpened.getFolder(ID));
+
+		FileDialog dialog = new FileDialog(HandlerUtil.getActiveShell(event), SWT.OPEN);
+		
+		String[] exts = { "*.properties" }; //$NON-NLS
+		dialog.setFilterExtensions(exts);
+		if (propFile != null) {
+			dialog.setFilterPath(propFile.getParent());
+			dialog.setFileName(propFile.getName());
+		}
+		String path = dialog.open();
+		if (path == null) return null;
+		return new File(path);
+	}
+}

Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/editors/EditionPanel.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/editors/EditionPanel.java	(revision 672)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/editors/EditionPanel.java	(revision 673)
@@ -250,7 +250,7 @@
 		File functionsFile = null;
 		try {
 
-			Bundle bundle = Platform.getBundle("SynopticEditorRCP");
+			Bundle bundle = Platform.getBundle("org.txm.synopticeditor.rcp");
 			URL fileURL = bundle.getEntry("res/js/functions.js");
 			URL r = FileLocator.resolve(fileURL);
 			Log.info("Load JS functions from: "+r);
Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/preferences/SynopticEditionPreferences.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/preferences/SynopticEditionPreferences.java	(revision 672)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/preferences/SynopticEditionPreferences.java	(revision 673)
@@ -8,11 +8,11 @@
 
 	public static String PREFERENCES_NODE = "org.txm.synopticedition.rcp.synoptic";
 	
-	public static String FAST_HIGHLIGHT = "org.txm.synopticedition.rcp.synoptic.slow_highlight";
+	public static String FAST_HIGHLIGHT = "fast_highlight";
 
 	@Override
 	public void initializeDefaultPreferences() {
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
-		preferences.putBoolean(FAST_HIGHLIGHT, false);
+		preferences.putBoolean(FAST_HIGHLIGHT, true);
 	}
 }
Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/preferences/SynopticEditionPreferencePage.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/preferences/SynopticEditionPreferencePage.java	(revision 672)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/preferences/SynopticEditionPreferencePage.java	(revision 673)
@@ -11,7 +11,7 @@
 implements IWorkbenchPreferencePage {
 	ScopedPreferenceStore preferences;
 
-	private BooleanFieldEditor slow_highlight;
+	private BooleanFieldEditor fast_highlight;
 	
 	
 	public SynopticEditionPreferencePage() {
@@ -19,7 +19,7 @@
 		preferences = new ScopedPreferenceStore(org.eclipse.core.runtime.preferences.InstanceScope.INSTANCE,
 				Application.PLUGIN_ID);
 		setPreferenceStore(preferences);
-		setTitle("Analec");
+		setTitle("Edition");
 	}
 	
 	@Override
@@ -27,8 +27,8 @@
 
 	@Override
 	protected void createFieldEditors() {
-		slow_highlight = new BooleanFieldEditor(SynopticEditionPreferences.FAST_HIGHLIGHT,
+		fast_highlight = new BooleanFieldEditor(SynopticEditionPreferences.FAST_HIGHLIGHT,
 				"Enable fast word highlight", getFieldEditorParent());
-		addField(slow_highlight);
+		addField(fast_highlight);
 	}
 }
Index: tmp/org.txm.synopticeditor.rcp/.classpath
===================================================================
--- tmp/org.txm.synopticeditor.rcp/.classpath	(revision 672)
+++ tmp/org.txm.synopticeditor.rcp/.classpath	(revision 673)
@@ -7,5 +7,6 @@
 		</accessrules>
 	</classpathentry>
 	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="src" path="res"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/i18n/ExternalizerUI.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/i18n/ExternalizerUI.groovy	(revision 672)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/i18n/ExternalizerUI.groovy	(revision 673)
@@ -22,8 +22,8 @@
 		super(new FlowLayout());
 		File userDir = new File(System.getProperty("user.home"))
 		File srcDir = new File(userDir, "workspace43/org.txm.rcp/src/main/java")
-		File propFile = new File(srcDir, "org/txm/rcpapplication/messages.properties")
-		File messageFile = new File(srcDir, "org/txm/rcpapplication/Messages.java")
+		File propFile = new File(srcDir, "org/txm/rcp/messages.properties")
+		File messageFile = new File(srcDir, "org/txm/rcp/Messages.java")
 
 		println userDir
 		println srcDir
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/i18n/FixExternalizedDuplicatedStrings.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/i18n/FixExternalizedDuplicatedStrings.groovy	(revision 672)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/i18n/FixExternalizedDuplicatedStrings.groovy	(revision 673)
@@ -10,12 +10,12 @@
 class FixExternalizedDuplicatedStrings {
 	
 	static main(args) {
-//		File propertyFile = new File("/home/mdecorde/Bureau/Experiences/rcpapplication/messages.properties");
-//		File messageClass = new File("/home/mdecorde/Bureau/Experiences/rcpapplication/Messages.java");
-//		File srcdirectory = new File("/home/mdecorde/Bureau/Experiences/rcpapplication");
-		File propertyFile = new File("/home/mdecorde/workspace37/org.txm.rcp/src/main/java/org/txm/rcpapplication/messages.properties");
-		File messageClass = new File("/home/mdecorde/workspace37/org.txm.rcp/src/main/java/org/txm/rcpapplication/Messages.java");
-		File srcdirectory = new File("/home/mdecorde/workspace37/org.txm.rcp/src/main/java/org/txm/rcpapplication");
+//		File propertyFile = new File("/home/mdecorde/Bureau/Experiences/rcp/messages.properties");
+//		File messageClass = new File("/home/mdecorde/Bureau/Experiences/rcp/Messages.java");
+//		File srcdirectory = new File("/home/mdecorde/Bureau/Experiences/rcp");
+		File propertyFile = new File("/home/mdecorde/workspace37/org.txm.rcp/src/main/java/org/txm/rcp/messages.properties");
+		File messageClass = new File("/home/mdecorde/workspace37/org.txm.rcp/src/main/java/org/txm/rcp/Messages.java");
+		File srcdirectory = new File("/home/mdecorde/workspace37/org.txm.rcp/src/main/java/org/txm/rcp");
 		if (!(propertyFile.exists() && propertyFile.canRead() && propertyFile.canWrite() && propertyFile.isFile())) {
 			println "error file : "+propertyFile
 			return
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/setup/FixFeaturePluginDeclaration.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/setup/FixFeaturePluginDeclaration.groovy	(revision 672)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/setup/FixFeaturePluginDeclaration.groovy	(revision 673)
@@ -7,7 +7,7 @@
 
 String home = System.getProperty("user.home")
 File rcpSrc = new File(home, "workspace441/org.txm.rcp")
-File productFile = new File(rcpSrc, "rcpapplication.product")
+File productFile = new File(rcpSrc, "rcp.product")
 
 //File dir = new File("/home/mdecorde/ECLIPSE/babel/babel-kepler/features/org.eclipse.babel.nls_eclipse_ru_4.3.0.v20131123020001")
 File dir = new File("/home/matthieu/ECLIPSE/eclipse_babel/features/org.eclipse.babel.nls_eclipse_ru_4.4.0.v20150804100819")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/setup/BuildFeatureFromProduct.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/setup/BuildFeatureFromProduct.groovy	(revision 672)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/setup/BuildFeatureFromProduct.groovy	(revision 673)
@@ -5,7 +5,7 @@
 String home = System.getProperty("user.home")
 File rcpSrc = new File(home, "workspace43/org.txm.rcp")
 File rcpFeatureSrc = new File(home, "workspace43/org.txm.rcp.feature")
-File productFile = new File(rcpSrc, "rcpapplication.product")
+File productFile = new File(rcpSrc, "rcp.product")
 File featureFile = new File(rcpFeatureSrc, "feature.xml")
 //File featureFileBackUp = new File(rcpFeatureSrc, "feature_back.xml")
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/setup/BuildSplashVersion.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/setup/BuildSplashVersion.groovy	(revision 672)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/setup/BuildSplashVersion.groovy	(revision 673)
@@ -14,7 +14,7 @@
 int img_width = 316;
 
 File rcpDir = new File(System.getProperty("user.home"), "workspace442/org.txm.rcp")
-File product = new File(rcpDir, "rcpapplication.product");
+File product = new File(rcpDir, "rcp.product");
 File imgFile = new File(rcpDir, "splash_sansversion.bmp");
 File imgFile2 = new File(rcpDir,"splash.bmp");
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/BrowserVersionMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/BrowserVersionMacro.groovy	(revision 672)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/BrowserVersionMacro.groovy	(revision 673)
@@ -6,7 +6,7 @@
 import org.eclipse.ui.browser.*
 import org.eclipse.ui.internal.browser.*
 import org.eclipse.ui.internal.browser.browsers.MozillaBrowser.*
-import org.txm.rcpapplication.commands.*
+import org.txm.rcp.commands.*
 
 b = PlatformUI.getWorkbench().getBrowserSupport().createBrowser(IWorkbenchBrowserSupport.LOCATION_BAR | IWorkbenchBrowserSupport.NAVIGATION_BAR | IWorkbenchBrowserSupport.STATUS, 'iname', 'name', 'longName')
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/office/SetOfficeMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/office/SetOfficeMacro.groovy	(revision 672)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/office/SetOfficeMacro.groovy	(revision 673)
@@ -3,7 +3,7 @@
 
 import org.kohsuke.args4j.*
 import groovy.transform.Field
-import org.txm.rcpapplication.swt.widget.parameters.*
+import org.txm.rcp.swt.widget.parameters.*
 
 // BEGINNING OF PARAMETERS
 
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 672)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 673)
@@ -23,36 +23,57 @@
 import org.txm.objects.Base;
 import org.txm.utils.logger.Log;
 
+// FIXME: At this moment, an empty list is created for children, to not return
+// null when calling getChildren(), see if that's what we want
 /**
  * Root class of all TXM results. This class contains methods to get some
  * different versions of the name of the result and some additional computing
  * information. It also contains methods to manage a tree hierarchy of result
  * nodes.
  * 
+ * A TXMResult always have a parent (except the root: @see Workspace).
+ * 
+ * To compute a result simply call the {@link #compute()} method. It contains all the life cycle steps of the result.
+ * 
+ * To set parameters, you can alternatively call the {@link #setParameters()} methods or the setXXX methods. The setParameters methods are usually useful to transfer several parameters at once.
+ * 
+ * The class contains convenient methods to maintain the same logic between results :
+ * - canCompute() : test if all necessary parameters are set
+ * - isDirty(): return true if the result needs to be recomputed (if a parameter changed)
+ * 
+ * Groovy call sample :
+ * <pre>
+ * {@code
+ * MyTXMResult result = new MyTXMResult(parent);
+ * result.setParameters(["param1": 1, "param2":2]);
+ * if (result.compute()) {
+ * 	println "success"
+ * } else {
+ *  println "failure"
+ * }
+ * </pre>
+ * 
  * @author mdecorde
  * @author sjacquot
- *
  */
-// FIXME: At this moment, an empty list is created for children, to not return
-// null when calling getChildren(), see if that's what we want
 public abstract class TXMResult implements Cloneable, IProgressMonitor {
 
-	
+
 	public static final DateFormat ID_TIME_FORMAT = new SimpleDateFormat("YYYYMMDD");
 	public static final Pattern FILE_NAME_PATTERN = Pattern.compile("[^a-zA-Z0-9\\.-]+"); //$NON-NLS-1$
 	public static final String UNDERSCORE = "_";
 
-	
+
 	/**
 	 * Unique ID of the object built with : class + date + number
 	 */
 	protected String uniqueID;
-	
+
 	/**
 	 * Editor can use this to test if the result has been computed once.
 	 */
 	protected boolean hasBeenComputedOnce = false;
-	
+
 	/**
 	 * The weight, essentially used for sorting purpose.
 	 */
@@ -215,7 +236,7 @@
 		this.updateLastParameters(Parameter.COMPUTING);
 	}
 
-	
+
 	/**
 	 * 
 	 * @param parameterType
@@ -241,7 +262,7 @@
 			f.setAccessible(true);
 			this.lastParameters.remove(name);
 		}
-		
+
 	}
 
 
@@ -253,13 +274,13 @@
 	protected void clearLastComputingParameters() {
 		this.clearLastParameters(Parameter.COMPUTING);
 	}
-	
-	
+
+
 	public HashMap<String, Object> getLastParameters() {
 		return lastParameters;
 	}
-	
 
+
 	/**
 	 * Gets a current parameter specified by its annotation "key" attribute and its annotation "type" attribute.
 	 * @param key
@@ -323,9 +344,9 @@
 			return !lastValue.equals(newValue);
 		}
 	}
-	
-	
 
+
+
 	/**
 	 * Dumps the command and default preferences of the result preferences node qualifier.
 	 * @return
@@ -341,16 +362,16 @@
 
 		str.append("\nCommand preferences\n"); //$NON-NLS-1$
 		str.append(TXMPreferences.getKeysAndValues(TXMPreferences.scope, this.preferencesNodeQualifier));
-		
+
 		str.append("\nDefault command preferences\n"); //$NON-NLS-1$
 		str.append(TXMPreferences.getKeysAndValues(DefaultScope.INSTANCE, this.preferencesNodeQualifier));
 
 
-		
+
 		return str.toString();
 	}
-	
 
+
 	/**
 	 * Dumps the result computing parameters (Parameter annotation).
 	 * @return
@@ -358,8 +379,8 @@
 	public String dumpParameters()	{
 		return this.dumpParameters(Parameter.COMPUTING);
 	}
-	
-	
+
+
 	/**
 	 * Dumps the result computing parameters (Parameter annotation).
 	 * @param parametersType
@@ -402,9 +423,9 @@
 		}
 		return str.toString();
 	}
-	
 
 
+
 	/**
 	 * Updates the dirty state by comparing an old parameter with a new one.
 	 * 
@@ -606,9 +627,9 @@
 	public boolean autoSaveParametersFromAnnotations() throws Exception {
 
 		System.out.println("TXMResult.autoSaveParametersFromAnnotations(): saving parameters to local node...");
-		
+
 		List<Field> fields = this.getAllFields();
-		
+
 		for (Field f : fields) {
 			Parameter parameter = f.getAnnotation(Parameter.class);
 			if (parameter == null) {
@@ -646,8 +667,8 @@
 	 * @throws Exception
 	 */
 	public abstract boolean saveParameters() throws Exception;
-	
 
+
 	/**
 	 * 
 	 * @return
@@ -684,7 +705,7 @@
 				f.setAccessible(true); // set accessible to test the field values
 
 				Object value = null;
-				
+
 				// only manage primitive types
 				if (f.getType().isAssignableFrom(String.class)) {
 					value = this.getStringParameterValue(key);
@@ -703,14 +724,14 @@
 				}
 				// FIXME: test to automate other type creation as Property => problem here is that org.txm.core doesn't know the plug-in org.txm.searchengine.cqp.core
 				// could be done using reflection. Get the field runtime class, then get and call the constructor
-//				else if (f.getType().isAssignableFrom(Property.class)) {
-//					value = new Property(this.getStringParameterValue(key), Corpus.getCorpus(this));
-//				}
+				//				else if (f.getType().isAssignableFrom(Property.class)) {
+				//					value = new Property(this.getStringParameterValue(key), Corpus.getCorpus(this));
+				//				}
 				f.set(this, value);
-				
+
 				// FIXME: Debug
 				System.err.println("TXMResult.autoLoadParametersFromAnnotations(): setting parameter " + key + " = " + value + " for " + this.getClass());
-				
+
 			} catch (Exception e) {
 				e.printStackTrace();
 			}
@@ -753,11 +774,11 @@
 	 * @throws Exception
 	 */
 	public boolean setParameter(String key, Object value) throws Exception	{
-		
+
 		List<Field> fields = this.getAllFields();
 
 		Field targetField = null;
-		
+
 		for (Field f : fields) {
 			Parameter parameter = f.getAnnotation(Parameter.class);
 			if (parameter == null) {
@@ -768,22 +789,22 @@
 				break;
 			}
 		}
-		
+
 		if(targetField != null)	{
 			targetField.setAccessible(true);
-			
+
 			// FIXME: debug
 			if(value != null)	{
 				System.err.println("TXMResult.setParameter(): setting parameter " + key + " = " + value + " for " + this.getClass() + " (" + value.getClass() + ")");
 			}
-			
+
 			targetField.set(this, value);
 		}
-		
-		
+
+
 		return true;
 	}
-	
+
 	/**
 	 * Deletes the object from its parent, also deletes the children. The <code>TXMResult.clean()</code> methods of this result and children results are applied before the deletion.
 	 * 
@@ -1161,7 +1182,7 @@
 	// FIXME: to discuss and/or to move in export layer
 	public String getValidFileName() {
 		try {
-			 return FILE_NAME_PATTERN.matcher(this.getName()).replaceAll(UNDERSCORE); //$NON-NLS-1$
+			return FILE_NAME_PATTERN.matcher(this.getName()).replaceAll(UNDERSCORE); //$NON-NLS-1$
 		} catch (Exception e) {
 			Log.printStackTrace(e);
 		}
@@ -1293,8 +1314,8 @@
 	public boolean compute() throws Exception {
 		return this.compute(null);
 	}
-	
 
+
 	/**
 	 * 
 	 * @param monitor
@@ -1343,8 +1364,8 @@
 		// FIXME: Debug
 		System.err.println("TXMResult.compute(): " + this.getClass().getSimpleName() + ": computing result of type " + this.getClass() + "...");
 
-		
-//		// TODO THIS IS FUCKING LAZY LINE CODES OH YEAH YOU MAD BRO
+
+		//		// TODO THIS IS FUCKING LAZY LINE CODES OH YEAH YOU MAD BRO
 		// TODO where do we put this parent compute ? :o
 		//		if (parent != null && !parent.getHasBeenComputedOnce()) { // parent must be computed at least one time
 		// SJ: other way, test the object itself
Index: tmp/org.txm.core/test/org/txm/StartToolbox.java
===================================================================
--- tmp/org.txm.core/test/org/txm/StartToolbox.java	(revision 672)
+++ tmp/org.txm.core/test/org/txm/StartToolbox.java	(revision 673)
@@ -9,7 +9,7 @@
 	@Test
 	public void test() throws Exception {
 		String home = System.getProperty("user.home");
-		String product_configuration_path = "runtime-rcpapplication.product/.metadata/.plugins/org.eclipse.core.runtime/.settings/org.txm.rcp.prefs";
+		String product_configuration_path = "runtime-rcp.product/.metadata/.plugins/org.eclipse.core.runtime/.settings/org.txm.rcp.prefs";
 		File properties = new File(home, product_configuration_path);
 		Toolbox.initialize(properties);
 	}
Index: tmp/org.txm.xmleditor.rcp/src/org/txm/xmleditor/OpenXMLEditor.java
===================================================================
--- tmp/org.txm.xmleditor.rcp/src/org/txm/xmleditor/OpenXMLEditor.java	(revision 672)
+++ tmp/org.txm.xmleditor.rcp/src/org/txm/xmleditor/OpenXMLEditor.java	(revision 673)
@@ -39,7 +39,7 @@
 				.getShell();
 		String txmhome = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE);
 		String filename = event
-				.getParameter("org.txm.rcpapplication.commands.commandParameter2"); //$NON-NLS-1$
+				.getParameter("org.txm.rcp.commands.commandParameter2"); //$NON-NLS-1$
 		if (filename != null && !filename.matches("") && !filename.matches(" ")) { //$NON-NLS-1$ //$NON-NLS-2$
 			String filepath = txmhome + "/scripts/" + filename; //$NON-NLS-1$ 
 			openfile(new File(filepath));
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/view/ElementSearchView.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/view/ElementSearchView.java	(revision 672)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/view/ElementSearchView.java	(revision 673)
@@ -183,7 +183,7 @@
 		});
 
 		resetButton = new Button(buttons, SWT.PUSH);
-		resetButton.setImage(IImageKeys.getImage("platform:/plugin/org.txm.rcpapplication/icons/cross.png"));
+		resetButton.setImage(IImageKeys.getImage("platform:/plugin/org.txm.rcp/icons/cross.png"));
 		resetButton.setToolTipText("Reset the search field values");
 		resetButton.addSelectionListener(new SelectionListener() {
 			@Override
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/export/AnalecAnnotationTEIExporter.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/export/AnalecAnnotationTEIExporter.java	(revision 672)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/export/AnalecAnnotationTEIExporter.java	(revision 673)
@@ -266,7 +266,7 @@
 			writer.writeAttribute("who", "#"+System.getProperty("user.name"));
 			writer.writeAttribute("when", BaseParameters.dateformat.format(Calendar.getInstance().getTime()));
 			writer.writeCharacters("\n");
-			writer.writeCharacters("Created with TXM "+BundleUtils.getBundleVersion("org.txm.rcpapplication")+" and Analec extension "+BundleUtils.getBundleVersion("AnalecRCP")+" with 'XML-TEI-URS Export....' export command on "+mainCorpus.getName()+" corpus");
+			writer.writeCharacters("Created with TXM "+BundleUtils.getBundleVersion("org.txm.rcp")+" and Analec extension "+BundleUtils.getBundleVersion("AnalecRCP")+" with 'XML-TEI-URS Export....' export command on "+mainCorpus.getName()+" corpus");
 			writer.writeEndElement(); // change
 			writer.writeEndElement(); // revisionDesc
 			writer.writeStartElement("encodingDesc");writer.writeCharacters("\n");
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/preferences/AnalecPreferences.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/preferences/AnalecPreferences.java	(revision 672)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/preferences/AnalecPreferences.java	(revision 673)
@@ -19,6 +19,7 @@
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
 		preferences.put(VERSION, "");
 		preferences.put(COLOR_PALETTE, "green");
+		preferences.putBoolean(ANALEC_LIMIT_CORRECTION_SCHEME, false);
 		preferences.putBoolean(PREFIX_AUTOCOMPLETION, false);
 	}
 }
